<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xs:element name="OrderHierarchy">
        <xs:complexType>
            <xs:sequence>
                <xs:element maxOccurs="unbounded" ref="Order"/>
            </xs:sequence>
            <xs:attribute name="version" type="xs:string"/>
            <xs:attribute name="name" type="xs:string" use="required"/>
        </xs:complexType>
        <xs:unique name="order_universalServiceID">
            <xs:selector xpath="Order"/>
            <xs:field xpath="@universalServiceID"/>
        </xs:unique>
    </xs:element>
    <xs:element name="Order">
        <xs:complexType>
            <xs:sequence>
                <xs:element maxOccurs="unbounded" ref="RequestedProcedure"/>
            </xs:sequence>
            <xs:attribute name="universalServiceID" type="xs:string" use="required"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="RequestedProcedure">
        <xs:complexType>
            <xs:sequence>
                <xs:element maxOccurs="unbounded" ref="ScheduledProcedureStep"/>
            </xs:sequence>
            <xs:attribute name="code" type="xs:string" use="required"/>
            <xs:attribute name="codeMeaning" type="xs:string"/>
            <xs:attribute name="codingSchemeDesignator" type="xs:string"/>
            <xs:attribute name="description" type="xs:string"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="ScheduledProcedureStep">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="ProtocolItem"/>
            </xs:sequence>
            <xs:attribute name="description" type="xs:string" use="required"/>
            <xs:attribute name="modality" type="xs:string" use="optional"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="ProtocolItem">
        <xs:complexType>
            <xs:attribute name="code" type="xs:string" use="required"/>
            <xs:attribute name="codeMeaning" type="xs:string" use="required"/>
            <xs:attribute name="codingSchemeDesignator" type="xs:string" use="required"/>
        </xs:complexType>
    </xs:element>
</xs:schema>
